scls(3)

NAME
scls - The scls Program
 The scpr program is used to list objects in checkpoint files. See for more information.

Compiling scls scls is distributed with the SC Toolkit. scls will automatically be compiled when SC is compiled. See for more information.

Running scls

scls takes the following command line options followed by a list of files.

-memorygrp <val>
    Which memory group to use.

-threadgrp <val>
    Which thread group to use.

-messagegrp <val>
    Which message group to use.

-W <val>
    Set the working directory.

-d  Turn on debugging.

-v  Print the version.

-w  Print the warranty.

-l  Detailed list of objects.

-L  Print the license.

-h  Print this help.

License

scls is open-source software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

Warranty

scls is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.